Public Class Login
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not IsPostBack Then
            Page.Header.Title = MyProperty.システムＭ.選挙コード名称 + MyConstant.管理画面タイトル
        End If

        ' テキストボックスにフォーカス
        TxtId.Focus()
    End Sub

    Protected Sub BtnLogin_Click(sender As Object, e As EventArgs) Handles BtnLogin.Click
        '認証
        If Not TxtId.Text = "" Then
            If (TxtId.Text = MyProperty.システムＭ.管理者ID) And (TxtPassword.Text = MyProperty.システムＭ.管理者パスワード) Then
                '要求元へリダイレクト 
                FormsAuthentication.RedirectFromLoginPage(TxtId.Text, False)
            Else
                LblMessage.Text = MyMessage.管理者画面.管理者認証エラー
            End If
        End If
    End Sub
End Class